import { BooleanInput } from '@angular/cdk/coercion';
import { ElementRef, Signal } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "@radix-ng/primitives/collapsible";
export type RdxAccordionItemState = 'open' | 'closed';
export type AccordionItemContext = {
    open: Signal<boolean>;
    disabled: Signal<boolean>;
    triggerId: string;
    dataState: Signal<RdxAccordionItemState>;
    dataDisabled: Signal<boolean>;
    currentElement: ElementRef<HTMLElement>;
    value: Signal<string | undefined>;
    updateOpen: () => void;
};
export declare const injectAccordionItemContext: (optional?: boolean) => AccordionItemContext | null, provideAccordionItemContext: (useFactory: () => AccordionItemContext) => import("@angular/core").Provider;
/**
 * @group Components
 */
export declare class RdxAccordionItemDirective {
    readonly elementRef: ElementRef<HTMLElement>;
    private readonly collapsibleContext;
    protected readonly rootContext: import("./accordion-root.directive").AccordionRootContext;
    /**
     * A string value for the accordion item. All items within an accordion should use a unique value.
     * @group Props
     */
    readonly value: import("@angular/core").InputSignal<string | undefined>;
    /**
     * Whether or not an accordion item is disabled from user interaction.
     * When `true`, prevents the user from interacting with the item.
     * @group Props
     */
    readonly disabled: import("@angular/core").InputSignalWithTransform<boolean, BooleanInput>;
    readonly isDisabled: Signal<boolean>;
    readonly open: Signal<any>;
    readonly dataState: Signal<RdxAccordionItemState>;
    constructor();
    updateOpen: () => void;
    handleArrowKey(event: KeyboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxAccordionItemDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RdxAccordionItemDirective, "[rdxAccordionItem]", ["rdxAccordionItem"], { "value": { "alias": "value"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.RdxCollapsibleRootDirective; inputs: { "disabled": "disabled"; "open": "open"; }; outputs: {}; }]>;
}
