import { OnDestroy, OnInit } from '@angular/core';
import { HTMLAttributeReferrerPolicy, RdxImageLoadingStatus } from './types';
import * as i0 from "@angular/core";
/**
 * @group Components
 */
export declare class RdxAvatarImageDirective implements OnInit, OnDestroy {
    private readonly platformId;
    protected readonly rootContext: import("./avatar-context.token").AvatarContextToken;
    /**
     * @group Props
     */
    readonly src: import("@angular/core").InputSignal<string | undefined>;
    readonly referrerPolicy: import("@angular/core").InputSignal<HTMLAttributeReferrerPolicy | undefined>;
    /**
     * A callback providing information about the loading status of the image.
     * This is useful in case you want to control more precisely what to render as the image is loading.
     *
     * @group Emits
     */
    readonly onLoadingStatusChange: import("@angular/core").OutputEmitterRef<RdxImageLoadingStatus>;
    private readonly isMounted;
    private readonly loadingStatus;
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxAvatarImageDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RdxAvatarImageDirective, "img[rdxAvatarImage]", ["rdxAvatarImage"], { "src": { "alias": "src"; "required": false; "isSignal": true; }; "referrerPolicy": { "alias": "referrerPolicy"; "required": false; "isSignal": true; }; }, { "onLoadingStatusChange": "onLoadingStatusChange"; }, never, never, true, never>;
}
