import { AfterViewInit } from '@angular/core';
import { DateValue } from '@internationalized/date';
import * as i0 from "@angular/core";
export declare class RdxCalendarCellTriggerDirective implements AfterViewInit {
    private readonly rootContext;
    private readonly elementRef;
    /**
     * The date value provided to the cell trigger
     */
    readonly day: import("@angular/core").InputSignal<DateValue | undefined>;
    /**
     * The month in which the cell is rendered
     */
    readonly month: import("@angular/core").InputSignal<DateValue | undefined>;
    /**
     * Current day
     */
    readonly dayValue: import("@angular/core").Signal<string | undefined>;
    /**
     * Current today state
     */
    readonly isDateToday: import("@angular/core").Signal<boolean>;
    /**
     * Current selected state
     */
    readonly isSelectedDate: import("@angular/core").Signal<boolean>;
    readonly isDisabled: import("@angular/core").Signal<boolean>;
    readonly isOutsideView: import("@angular/core").Signal<boolean>;
    readonly isFocusedDate: import("@angular/core").Signal<boolean>;
    readonly isUnavailable: import("@angular/core").Signal<boolean>;
    readonly labelText: import("@angular/core").Signal<string>;
    /**
     * @ignore
     */
    currentElement: HTMLElement;
    ngAfterViewInit(): void;
    protected onClick(): void;
    protected onArrowKey(event: KeyboardEvent): void;
    private shiftFocus;
    /**
     * @ignore
     */
    SELECTOR: string;
    /**
     * @ignore
     */
    getSelectableCells(calendar: HTMLElement): HTMLElement[];
    /**
     * @ignore
     */
    changeDate(date: DateValue): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxCalendarCellTriggerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RdxCalendarCellTriggerDirective, "[rdxCalendarCellTrigger]", ["rdxCalendarCellTrigger"], { "day": { "alias": "day"; "required": false; "isSignal": true; }; "month": { "alias": "month"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
