import { BooleanInput } from '@angular/cdk/coercion';
import { InputSignal, ModelSignal, Signal } from '@angular/core';
import * as i0 from "@angular/core";
export type RdxCollapsibleState = 'open' | 'closed';
export interface CollapsibleRootContext {
    contentId: InputSignal<string>;
    open: ModelSignal<boolean>;
    toggle: () => void;
    disabled: Signal<boolean>;
}
export declare const injectCollapsibleRootContext: (optional?: boolean) => CollapsibleRootContext | null, provideCollapsibleRootContext: (useFactory: () => CollapsibleRootContext) => import("@angular/core").Provider;
/**
 * @group Components
 */
export declare class RdxCollapsibleRootDirective {
    /**
     * The controlled open state of the collapsible.
     * Sets the state of the directive. `true` - expanded, `false` - collapsed
     *
     * @group Props
     * @defaultValue false
     */
    readonly open: ModelSignal<boolean>;
    readonly contentId: InputSignal<string>;
    /**
     * Determines whether a directive is available for interaction.
     * When true, prevents the user from interacting with the collapsible.
     *
     * @group Props
     */
    readonly disabled: import("@angular/core").InputSignalWithTransform<boolean, BooleanInput>;
    readonly _disabled: import("@angular/core").WritableSignal<boolean>;
    readonly isDisabled: Signal<boolean>;
    readonly isOpen: Signal<boolean>;
    /**
     * Emitted with new value when directive state changed.
     * Event handler called when the open state of the collapsible changes.
     *
     * @group Emits
     */
    readonly onOpenChange: import("@angular/core").OutputEmitterRef<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxCollapsibleRootDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RdxCollapsibleRootDirective, "[rdxCollapsibleRoot]", ["rdxCollapsibleRoot"], { "open": { "alias": "open"; "required": false; "isSignal": true; }; "contentId": { "alias": "contentId"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; }, { "open": "openChange"; "onOpenChange": "onOpenChange"; }, never, never, true, never>;
}
