import { EnvironmentProviders, InjectionToken } from '@angular/core';
import { type RadixNGConfig } from './config';
export declare const RADIX_NG_CONFIG: InjectionToken<RadixNGConfig>;
/**
 * Provides RadixNG configuration as environment providers.
 *
 * @param features One or more RadixNG configuration objects.
 * @returns A set of environment providers that register the RadixNG configs.
 */
export declare function provideRadixNG(...features: RadixNGConfig[]): EnvironmentProviders;
