import { Provider, Type } from '@angular/core';
/**
 * Include in the providers section of a component which utilizes ControlValueAccessor to redundant code.
 *
 * ```ts
 * @Directive({
 *   providers: [provideValueAccessor(ExampleDirective)]
 *}
 * export class ExampleDirective{}
 * ```
 */
export declare function provideValueAccessor<T>(type: Type<T>): Provider;
