import { Provider } from '@angular/core';
/**
 * Creates a context with injector and provider functions for a given type
 * @template T The type of the context value
 * @param description Descriptive string for the context (used in token creation)
 * @returns A tuple containing:
 *   - injectContext: Function to retrieve the context value
 *   - provideContext: Function to create a provider for the context
 */
export declare function createContext<T>(description: string): readonly [injectContext: (optional?: boolean) => T | null, provideContext: (useFactory: () => T) => Provider];
