import { InputSignal } from '@angular/core';
import { DateValue } from '@internationalized/date';
import { Granularity } from './comparators';
import { Formatter } from './formatter';
import { HourCycle, SegmentContentObj, SegmentPart, SegmentValueObj } from './types';
type SyncDateSegmentValuesProps = {
    value: DateValue;
    formatter: Formatter;
};
type SyncTimeSegmentValuesProps = {
    value: DateValue;
    formatter: Formatter;
};
export declare function syncTimeSegmentValues(props: SyncTimeSegmentValuesProps): SegmentValueObj;
export declare function initializeSegmentValues(granularity: Granularity): SegmentValueObj;
type SharedContentProps = {
    granularity: Granularity;
    dateRef: DateValue;
    formatter: Formatter;
    hideTimeZone: boolean;
    hourCycle: HourCycle;
    isTimeValue?: boolean;
};
type CreateContentObjProps = SharedContentProps & {
    segmentValues: SegmentValueObj;
    locale: InputSignal<string>;
};
export declare function syncSegmentValues(props: SyncDateSegmentValuesProps): SegmentValueObj;
type CreateContentProps = CreateContentObjProps;
export declare function createContent(props: CreateContentProps): {
    obj: SegmentContentObj;
    arr: {
        part: SegmentPart;
        value: string;
    }[];
};
export {};
