import { EffectRef, ElementRef, Injector, Signal } from '@angular/core';
/**
 * Creates a resize observer effect for element
 *
 * @param options Configuration options
 * @param options.injector Angular injector
 * @param options.element Signal returning the element to observe
 * @param options.onResize Callback when element is resized
 * @returns EffectRef that can be destroyed when needed
 */
export declare function resizeEffect(options: {
    injector: Injector;
    element: Signal<ElementRef | HTMLElement | null | undefined>;
    onResize: ResizeObserverCallback;
}): EffectRef;
