import { NumberInput } from '@angular/cdk/coercion';
import { CropperContextToken } from './cropper-context.token';
import * as i0 from "@angular/core";
export type Area = {
    x: number;
    y: number;
    width: number;
    height: number;
};
export declare class RdxCropperRootDirective implements CropperContextToken {
    private readonly elementRef;
    private readonly CROPPER_DESC_WARN_MESSAGE;
    readonly image: import("@angular/core").InputSignal<string>;
    readonly cropPadding: import("@angular/core").InputSignalWithTransform<number, unknown>;
    readonly aspectRatio: import("@angular/core").InputSignalWithTransform<number, unknown>;
    readonly minZoom: import("@angular/core").InputSignalWithTransform<number, unknown>;
    readonly maxZoom: import("@angular/core").InputSignalWithTransform<number, unknown>;
    readonly zoomSensitivity: import("@angular/core").InputSignalWithTransform<number, unknown>;
    readonly keyboardStep: import("@angular/core").InputSignalWithTransform<number, unknown>;
    readonly zoom: import("@angular/core").InputSignalWithTransform<number | undefined, NumberInput>;
    readonly onCropChange: import("@angular/core").OutputEmitterRef<Area | null>;
    readonly onZoomChange: import("@angular/core").OutputEmitterRef<number>;
    private readonly imgWidth;
    private readonly imgHeight;
    private readonly cropAreaWidth;
    private readonly cropAreaHeight;
    private readonly imageWrapperWidth;
    private readonly imageWrapperHeight;
    private readonly offsetX;
    private readonly offsetY;
    private readonly internalZoom;
    private readonly isDragging;
    readonly descriptionId: import("@angular/core").WritableSignal<string>;
    private readonly isZoomControlled;
    protected readonly effectiveZoom: import("@angular/core").Signal<number>;
    protected readonly zoomValueText: import("@angular/core").Signal<string>;
    private readonly dragStartPoint;
    private readonly dragStartOffset;
    private readonly latestRestrictedOffset;
    private readonly latestZoom;
    private readonly isInitialSetupDone;
    private readonly initialPinchDistance;
    private readonly initialPinchZoom;
    private readonly isPinching;
    private readonly hasWarned;
    constructor();
    private updateZoom;
    private initializeContainerDimensions;
    private setupImageLoadEffect;
    private setupDimensionsEffects;
    private restrictOffset;
    private calculateCropData;
    private setupCropCalculationEffect;
    private setupAccessibilityWarningEffect;
    private setupEventListenersEffect;
    private handleInteractionEnd;
    /**
     * @ignore
     */
    onMouseDown(e: MouseEvent): void;
    private handleWheel;
    private getPinchDistance;
    private getPinchCenter;
    private handleTouchStart;
    private handleTouchMove;
    private handleTouchEnd;
    /**
     * @ignore
     */
    onKeyDown(e: KeyboardEvent): void;
    /**
     * @ignore
     */
    onKeyUp(e: KeyboardEvent): void;
    /**
     * @ignore
     */
    getImageProps(): {
        [key: string]: any;
    };
    /**
     * @ignore
     */
    getImageWrapperStyle(): Record<string, string>;
    /**
     * @ignore
     */
    getCropAreaStyle(): Record<string, string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxCropperRootDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RdxCropperRootDirective, "[rdxCropperRoot]", never, { "image": { "alias": "image"; "required": true; "isSignal": true; }; "cropPadding": { "alias": "cropPadding"; "required": false; "isSignal": true; }; "aspectRatio": { "alias": "aspectRatio"; "required": false; "isSignal": true; }; "minZoom": { "alias": "minZoom"; "required": false; "isSignal": true; }; "maxZoom": { "alias": "maxZoom"; "required": false; "isSignal": true; }; "zoomSensitivity": { "alias": "zoomSensitivity"; "required": false; "isSignal": true; }; "keyboardStep": { "alias": "keyboardStep"; "required": false; "isSignal": true; }; "zoom": { "alias": "zoom"; "required": false; "isSignal": true; }; }, { "onCropChange": "onCropChange"; "onZoomChange": "onZoomChange"; }, never, never, true, never>;
}
