import { InjectionToken, InputSignal, ModelSignal, Signal, WritableSignal } from '@angular/core';
import { DateValue } from '@internationalized/date';
import { DateStep, Formatter, HourCycle, SegmentValueObj } from '@radix-ng/primitives/core';
export interface DateFieldContextToken {
    locale: InputSignal<string>;
    value: ModelSignal<DateValue | undefined>;
    disabled: InputSignal<boolean>;
    readonly: InputSignal<boolean>;
    isInvalid: Signal<boolean>;
    placeholder: ModelSignal<DateValue>;
    hourCycle: InputSignal<HourCycle>;
    step$: Signal<DateStep>;
    formatter: Formatter;
    segmentValues: WritableSignal<SegmentValueObj>;
    focusNext: () => void;
    setFocusedElement: (el: HTMLElement) => void;
}
export declare const DATE_FIELDS_ROOT_CONTEXT: InjectionToken<DateFieldContextToken>;
export declare function injectDateFieldsRootContext(): DateFieldContextToken;
