import { ElementRef } from '@angular/core';
import { SegmentPart } from '@radix-ng/primitives/core';
import * as i0 from "@angular/core";
export declare class RdxDateFieldInputDirective {
    private el;
    private readonly rootContext;
    /**
     * The part of the date to render
     * `'day' | 'month' | 'year' | 'hour' | 'minute' | 'second' | 'dayPeriod' | 'literal' | 'timeZoneName'`
     */
    readonly part: import("@angular/core").InputSignal<SegmentPart | undefined>;
    /**
     * @ignore
     */
    readonly disabled: import("@angular/core").Signal<boolean>;
    /**
     * @ignore
     */
    readonly readonly: import("@angular/core").Signal<boolean>;
    /**
     * @ignore
     */
    readonly isInvalid: import("@angular/core").Signal<boolean>;
    /**
     * @ignore
     */
    readonly hasLeftFocus: import("@angular/core").WritableSignal<boolean>;
    /**
     * @ignore
     */
    readonly lastKeyZero: import("@angular/core").WritableSignal<boolean>;
    private readonly fieldData;
    private readonly attributes;
    /**
     * @ignore
     */
    handleSegmentClick: (e: MouseEvent) => void;
    /**
     * @ignore
     */
    handleSegmentKeydown: (e: KeyboardEvent) => void;
    constructor(el: ElementRef);
    /**
     * @ignore
     */
    onFocus(e: FocusEvent): void;
    /**
     * @ignore
     */
    onFocusOut(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxDateFieldInputDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RdxDateFieldInputDirective, "[rdxDateFieldInput]", never, { "part": { "alias": "part"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
