import { RdxDialogRef } from './dialog-ref';
import type { RdxDialogConfig } from './dialog.config';
import * as i0 from "@angular/core";
/**
 * Modality control: When `isModal` is set to `true`, the dialog will:
 *
 * - Have a backdrop that blocks interaction with the rest of the page
 * - Disable closing by clicking outside or pressing Escape
 * - Set `aria-modal="true"` for screen readers
 * - Automatically focus the first tabbable element in the dialog
 * - Restore focus to the element that opened the dialog when it's closed
 *
 *
 * When `isModal` is `false`, the dialog will:
 *
 * - Not have a backdrop, allowing interaction with the rest of the page
 * - Allow closing by clicking outside or pressing Escape
 * - Not set `aria-modal` attribute
 * - Not automatically manage focus
 */
export declare class RdxDialogService {
    #private;
    open<C>(config: RdxDialogConfig<C>): RdxDialogRef<C>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxDialogService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RdxDialogService>;
}
