import { BooleanInput } from '@angular/cdk/coercion';
import { CdkMenuTrigger } from '@angular/cdk/menu';
import { ConnectedPosition, OverlayRef } from '@angular/cdk/overlay';
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare enum DropdownSide {
    Top = "top",
    Right = "right",
    Bottom = "bottom",
    Left = "left"
}
export declare enum DropdownAlign {
    Start = "start",
    Center = "center",
    End = "end"
}
export declare const mapRdxAlignToCdkPosition: {
    start: string;
    center: string;
    end: string;
};
/**
 * @group Components
 */
export declare class RdxDropdownMenuTriggerDirective extends CdkMenuTrigger {
    readonly disabled: import("@angular/core").InputSignalWithTransform<boolean, BooleanInput>;
    set rdxDropdownMenuTrigger(value: TemplateRef<unknown> | null);
    /**
     * The preferred side of the trigger to render against when open.
     * Will be reversed when collisions occur and `avoidCollisions` is enabled.
     *
     * @group Props
     * @defaultValue 'bottom'
     */
    set side(value: DropdownSide);
    get side(): DropdownSide;
    private _side;
    /**
     * The preferred alignment against the trigger. May change when collisions occur.
     *
     * @group Props
     * @defaultValue 'center'
     */
    set align(value: DropdownAlign);
    get align(): DropdownAlign;
    private _align;
    /**
     * The distance in pixels from the trigger.
     * @group Props
     * @defaultValue 0
     */
    set sideOffset(value: number);
    get sideOffset(): number;
    private _sideOffset;
    /**
     * An offset in pixels from the "start" or "end" alignment options.
     * @group Props
     * @defaultValue 0
     */
    set alignOffset(value: number);
    get alignOffset(): number;
    private _alignOffset;
    onOpenChange: import("@angular/core").OutputRef<void>;
    get isVertical(): boolean;
    get defaultPosition(): ConnectedPosition;
    constructor();
    onPointerDown($event: MouseEvent): void;
    getOverlayRef(): OverlayRef | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxDropdownMenuTriggerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RdxDropdownMenuTriggerDirective, "[rdxDropdownMenuTrigger]", never, { "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; "rdxDropdownMenuTrigger": { "alias": "rdxDropdownMenuTrigger"; "required": false; }; "side": { "alias": "side"; "required": false; }; "align": { "alias": "align"; "required": false; }; "sideOffset": { "alias": "sideOffset"; "required": false; }; "alignOffset": { "alias": "alignOffset"; "required": false; }; }, { "onOpenChange": "onOpenChange"; }, never, never, true, never>;
    static ngAcceptInputType_sideOffset: unknown;
    static ngAcceptInputType_alignOffset: unknown;
}
