import * as i0 from '@angular/core';
import { Directive, InjectionToken, inject, computed, input, numberAttribute, model, booleanAttribute, output, forwardRef, NgModule } from '@angular/core';

class RdxPaginationEllipsisDirective {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxPaginationEllipsisDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.4", type: RdxPaginationEllipsisDirective, isStandalone: true, selector: "[rdxPaginationEllipsis]", host: { properties: { "attr.data-type": "\"ellipsis\"" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxPaginationEllipsisDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[rdxPaginationEllipsis]',
                    host: {
                        '[attr.data-type]': '"ellipsis"'
                    }
                }]
        }] });

const PAGINATION_ROOT_CONTEXT = new InjectionToken('PaginationRootContext');
function injectPaginationRootContext() {
    return inject(PAGINATION_ROOT_CONTEXT);
}

// as Button
class RdxPaginationFirstDirective {
    constructor() {
        this.rootContext = injectPaginationRootContext();
        this.disabled = computed(() => this.rootContext.page() === 1 || this.rootContext.disabled());
    }
    onClick() {
        if (!this.disabled()) {
            this.rootContext.onPageChange(1);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxPaginationFirstDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.4", type: RdxPaginationFirstDirective, isStandalone: true, selector: "[rdxPaginationFirst]", host: { listeners: { "click": "onClick()" }, properties: { "attr.aria-label": "\"First Page\"", "disabled": "disabled()" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxPaginationFirstDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[rdxPaginationFirst]',
                    host: {
                        '[attr.aria-label]': '"First Page"',
                        '[disabled]': 'disabled()',
                        '(click)': 'onClick()'
                    }
                }]
        }] });

// as Button
class RdxPaginationLastDirective {
    constructor() {
        this.rootContext = injectPaginationRootContext();
        this.disabled = computed(() => this.rootContext.page() === this.rootContext.pageCount() || this.rootContext.disabled());
    }
    onClick() {
        if (!this.disabled()) {
            this.rootContext.onPageChange(this.rootContext.pageCount());
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxPaginationLastDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.4", type: RdxPaginationLastDirective, isStandalone: true, selector: "[rdxPaginationLast]", host: { listeners: { "click": "onClick()" }, properties: { "attr.aria-label": "\"Last Page\"", "disabled": "disabled()" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxPaginationLastDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[rdxPaginationLast]',
                    host: {
                        '[attr.aria-label]': '"Last Page"',
                        '[disabled]': 'disabled()',
                        '(click)': 'onClick()'
                    }
                }]
        }] });

// as Button
class RdxPaginationListItemDirective {
    constructor() {
        this.rootContext = injectPaginationRootContext();
        this.value = input();
        this.disabled = computed(() => this.rootContext.disabled());
        this.isSelected = computed(() => this.rootContext.page() === this.value());
    }
    onClick() {
        const pageValue = this.value();
        if (!this.disabled() && typeof pageValue === 'number') {
            this.rootContext.onPageChange(pageValue);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxPaginationListItemDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "17.1.0", version: "19.2.4", type: RdxPaginationListItemDirective, isStandalone: true, selector: "[rdxPaginationListItem]", inputs: { value: { classPropertyName: "value", publicName: "value", isSignal: true, isRequired: false, transformFunction: null } }, host: { listeners: { "click": "onClick()" }, properties: { "data-type": "\"page\"", "attr.aria-label": "\"Page \" + value()", "attr.aria-current": "isSelected() ? \"page\" : undefined", "attr.data-selected": "isSelected() ? true : undefined", "disabled": "disabled()" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxPaginationListItemDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[rdxPaginationListItem]',
                    host: {
                        '[data-type]': '"page"',
                        '[attr.aria-label]': '"Page " + value()',
                        '[attr.aria-current]': 'isSelected() ? "page" : undefined',
                        '[attr.data-selected]': 'isSelected() ? true : undefined',
                        '[disabled]': 'disabled()',
                        '(click)': 'onClick()'
                    }
                }]
        }] });

// reference https://github.com/chakra-ui/zag/blob/main/packages/machines/pagination/src/pagination.utils.ts
function range(start, end) {
    const length = end - start + 1;
    return Array.from({ length }, (_, idx) => idx + start);
}
function transform(items) {
    return items.map((value) => {
        if (typeof value === 'number')
            return { type: 'page', value };
        return { type: 'ellipsis' };
    });
}
const ELLIPSIS = 'ellipsis';
function getRange(currentPage, pageCount, siblingCount, showEdges) {
    const firstPageIndex = 1;
    const lastPageIndex = pageCount;
    const leftSiblingIndex = Math.max(currentPage - siblingCount, firstPageIndex);
    const rightSiblingIndex = Math.min(currentPage + siblingCount, lastPageIndex);
    if (showEdges) {
        /**
         * `2 * siblingCount + 5` explanation:
         * 2 * siblingCount for left/right siblings
         * 5 for 2x left/right ellipsis, 2x first/last page + 1x current page
         *
         * For some page counts (e.g. totalPages: 8, siblingCount: 2),
         * calculated max page is higher than total pages,
         * so we need to take the minimum of both.
         */
        const totalPageNumbers = Math.min(2 * siblingCount + 5, pageCount);
        const itemCount = totalPageNumbers - 2; // 2 stands for one ellipsis and either first or last page
        const showLeftEllipsis = 
        // default condition
        leftSiblingIndex > firstPageIndex + 2 &&
            // if the current page is towards the end of the list
            Math.abs(lastPageIndex - itemCount - firstPageIndex + 1) > 2 &&
            // if the current page is towards the middle of the list
            Math.abs(leftSiblingIndex - firstPageIndex) > 2;
        const showRightEllipsis = 
        // default condition
        rightSiblingIndex < lastPageIndex - 2 &&
            // if the current page is towards the start of the list
            Math.abs(lastPageIndex - itemCount) > 2 &&
            // if the current page is towards the middle of the list
            Math.abs(lastPageIndex - rightSiblingIndex) > 2;
        if (!showLeftEllipsis && showRightEllipsis) {
            const leftRange = range(1, itemCount);
            return [...leftRange, ELLIPSIS, lastPageIndex];
        }
        if (showLeftEllipsis && !showRightEllipsis) {
            const rightRange = range(lastPageIndex - itemCount + 1, lastPageIndex);
            return [firstPageIndex, ELLIPSIS, ...rightRange];
        }
        if (showLeftEllipsis && showRightEllipsis) {
            const middleRange = range(leftSiblingIndex, rightSiblingIndex);
            return [firstPageIndex, ELLIPSIS, ...middleRange, ELLIPSIS, lastPageIndex];
        }
        const fullRange = range(firstPageIndex, lastPageIndex);
        return fullRange;
    }
    else {
        const itemCount = siblingCount * 2 + 1;
        if (pageCount < itemCount)
            return range(1, lastPageIndex);
        else if (currentPage <= siblingCount + 1)
            return range(firstPageIndex, itemCount);
        else if (pageCount - currentPage <= siblingCount)
            return range(pageCount - itemCount + 1, lastPageIndex);
        else
            return range(leftSiblingIndex, rightSiblingIndex);
    }
}

class RdxPaginationListDirective {
    constructor() {
        this.rootContext = injectPaginationRootContext();
        this.transformedRange = computed(() => {
            return transform(getRange(this.rootContext.page(), this.rootContext.pageCount(), this.rootContext.siblingCount(), this.rootContext.showEdges()));
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxPaginationListDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.4", type: RdxPaginationListDirective, isStandalone: true, selector: "[rdxPaginationList]", exportAs: ["rdxPaginationList"], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxPaginationListDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[rdxPaginationList]',
                    exportAs: 'rdxPaginationList'
                }]
        }] });

// as Button
class RdxPaginationNextDirective {
    constructor() {
        this.rootContext = injectPaginationRootContext();
        this.disabled = computed(() => this.rootContext.page() === this.rootContext.pageCount() || this.rootContext.disabled());
    }
    onClick() {
        if (!this.disabled()) {
            this.rootContext.onPageChange(this.rootContext.page() + 1);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxPaginationNextDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.4", type: RdxPaginationNextDirective, isStandalone: true, selector: "[rdxPaginationNext]", host: { listeners: { "click": "onClick()" }, properties: { "attr.aria-label": "\"Next Page\"", "disabled": "disabled()" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxPaginationNextDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[rdxPaginationNext]',
                    host: {
                        '[attr.aria-label]': '"Next Page"',
                        '[disabled]': 'disabled()',
                        '(click)': 'onClick()'
                    }
                }]
        }] });

// as Button
class RdxPaginationPrevDirective {
    constructor() {
        this.rootContext = injectPaginationRootContext();
        this.disabled = computed(() => this.rootContext.page() === 1 || this.rootContext.disabled());
    }
    onClick() {
        if (!this.disabled()) {
            this.rootContext.onPageChange(this.rootContext.page() - 1);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxPaginationPrevDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.4", type: RdxPaginationPrevDirective, isStandalone: true, selector: "[rdxPaginationPrev]", host: { listeners: { "click": "onClick()" }, properties: { "attr.aria-label": "\"Previous Page\"", "disabled": "disabled()" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxPaginationPrevDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[rdxPaginationPrev]',
                    host: {
                        '[attr.aria-label]': '"Previous Page"',
                        '[disabled]': 'disabled()',
                        '(click)': 'onClick()'
                    }
                }]
        }] });

class RdxPaginationRootDirective {
    constructor() {
        this.defaultPage = input(1, { transform: numberAttribute });
        this.page = model(this.defaultPage());
        this.itemsPerPage = input(undefined, { transform: numberAttribute });
        this.total = input(0, { transform: numberAttribute });
        this.siblingCount = input(2, { transform: numberAttribute });
        this.disabled = input(false, { transform: booleanAttribute });
        this.showEdges = input(false, { transform: booleanAttribute });
        this.updatePage = output();
        /** @ignore */
        this.pageCount = computed(() => Math.max(1, Math.ceil(this.total() / (this.itemsPerPage() || 1))));
    }
    /** @ignore */
    onPageChange(value) {
        if (!this.disabled()) {
            this.page.set(value);
            this.updatePage.emit(value);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxPaginationRootDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "17.1.0", version: "19.2.4", type: RdxPaginationRootDirective, isStandalone: true, selector: "[rdxPaginationRoot]", inputs: { defaultPage: { classPropertyName: "defaultPage", publicName: "defaultPage", isSignal: true, isRequired: false, transformFunction: null }, page: { classPropertyName: "page", publicName: "page", isSignal: true, isRequired: false, transformFunction: null }, itemsPerPage: { classPropertyName: "itemsPerPage", publicName: "itemsPerPage", isSignal: true, isRequired: false, transformFunction: null }, total: { classPropertyName: "total", publicName: "total", isSignal: true, isRequired: false, transformFunction: null }, siblingCount: { classPropertyName: "siblingCount", publicName: "siblingCount", isSignal: true, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null }, showEdges: { classPropertyName: "showEdges", publicName: "showEdges", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { page: "pageChange", updatePage: "updatePage" }, providers: [{ provide: PAGINATION_ROOT_CONTEXT, useExisting: forwardRef(() => RdxPaginationRootDirective) }], exportAs: ["rdxPaginationRoot"], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxPaginationRootDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[rdxPaginationRoot]',
                    exportAs: 'rdxPaginationRoot',
                    providers: [{ provide: PAGINATION_ROOT_CONTEXT, useExisting: forwardRef(() => RdxPaginationRootDirective) }]
                }]
        }] });

const paginationImports = [
    RdxPaginationRootDirective,
    RdxPaginationListDirective,
    RdxPaginationFirstDirective,
    RdxPaginationPrevDirective,
    RdxPaginationLastDirective,
    RdxPaginationNextDirective,
    RdxPaginationListItemDirective,
    RdxPaginationEllipsisDirective
];
class RdxPaginationModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxPaginationModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.2.4", ngImport: i0, type: RdxPaginationModule, imports: [RdxPaginationRootDirective,
            RdxPaginationListDirective,
            RdxPaginationFirstDirective,
            RdxPaginationPrevDirective,
            RdxPaginationLastDirective,
            RdxPaginationNextDirective,
            RdxPaginationListItemDirective,
            RdxPaginationEllipsisDirective], exports: [RdxPaginationRootDirective,
            RdxPaginationListDirective,
            RdxPaginationFirstDirective,
            RdxPaginationPrevDirective,
            RdxPaginationLastDirective,
            RdxPaginationNextDirective,
            RdxPaginationListItemDirective,
            RdxPaginationEllipsisDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxPaginationModule }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxPaginationModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [...paginationImports],
                    exports: [...paginationImports]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { PAGINATION_ROOT_CONTEXT, RdxPaginationEllipsisDirective, RdxPaginationFirstDirective, RdxPaginationLastDirective, RdxPaginationListDirective, RdxPaginationListItemDirective, RdxPaginationModule, RdxPaginationNextDirective, RdxPaginationPrevDirective, RdxPaginationRootDirective, injectPaginationRootContext };
//# sourceMappingURL=radix-ng-primitives-pagination.mjs.map
