import * as i0 from '@angular/core';
import { inject, input, booleanAttribute, signal, effect, Directive, InjectionToken, NgModule } from '@angular/core';
import * as i1 from '@radix-ng/primitives/roving-focus';
import { RdxRovingFocusItemDirective, RdxRovingFocusGroupDirective } from '@radix-ng/primitives/roving-focus';
import * as i1$1 from '@radix-ng/primitives/separator';
import { RdxSeparatorRootDirective } from '@radix-ng/primitives/separator';
import * as i1$2 from '@radix-ng/primitives/toggle-group';
import { RdxToggleGroupWithoutFocusDirective, RdxToggleGroupItemDirective } from '@radix-ng/primitives/toggle-group';

class RdxToolbarButtonDirective {
    constructor() {
        this.rdxRovingFocusItemDirective = inject(RdxRovingFocusItemDirective);
        this.disabled = input(false, { transform: booleanAttribute });
        this.isDisabled = signal(this.disabled());
        this.#disableChanges = effect(() => {
            this.rdxRovingFocusItemDirective.focusable = !this.isDisabled();
        });
    }
    #disableChanges;
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxToolbarButtonDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "17.1.0", version: "19.2.4", type: RdxToolbarButtonDirective, isStandalone: true, selector: "[rdxToolbarButton]", inputs: { disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null } }, hostDirectives: [{ directive: i1.RdxRovingFocusItemDirective, inputs: ["focusable", "focusable"] }], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxToolbarButtonDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[rdxToolbarButton]',
                    hostDirectives: [{ directive: RdxRovingFocusItemDirective, inputs: ['focusable'] }]
                }]
        }] });

class RdxToolbarLinkDirective {
    onKeyDown($event) {
        if ($event.key === ' ')
            $event.currentTarget?.click();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxToolbarLinkDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.4", type: RdxToolbarLinkDirective, isStandalone: true, selector: "[rdxToolbarLink]", host: { listeners: { "keydown": "onKeyDown($event)" } }, hostDirectives: [{ directive: i1.RdxRovingFocusItemDirective, inputs: ["focusable", "focusable"] }], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxToolbarLinkDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[rdxToolbarLink]',
                    hostDirectives: [{ directive: RdxRovingFocusItemDirective, inputs: ['focusable'] }],
                    host: {
                        '(keydown)': 'onKeyDown($event)'
                    }
                }]
        }] });

const RDX_TOOLBAR_ROOT_TOKEN = new InjectionToken('RdxToolbarRootDirective');
function injectRootContext() {
    return inject(RDX_TOOLBAR_ROOT_TOKEN);
}
function provideRootContext() {
    return {
        provide: RDX_TOOLBAR_ROOT_TOKEN,
        useExisting: RdxToolbarRootDirective
    };
}

class RdxToolbarRootDirective {
    constructor() {
        this.orientation = input('horizontal');
        this.dir = input('ltr');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxToolbarRootDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "17.1.0", version: "19.2.4", type: RdxToolbarRootDirective, isStandalone: true, selector: "[rdxToolbarRoot]", inputs: { orientation: { classPropertyName: "orientation", publicName: "orientation", isSignal: true, isRequired: false, transformFunction: null }, dir: { classPropertyName: "dir", publicName: "dir", isSignal: true, isRequired: false, transformFunction: null } }, host: { attributes: { "role": "toolbar" }, properties: { "attr.aria-orientation": "orientation()" } }, providers: [provideRootContext()], hostDirectives: [{ directive: i1.RdxRovingFocusGroupDirective, inputs: ["dir", "dir", "orientation", "orientation", "loop", "loop"] }], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxToolbarRootDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[rdxToolbarRoot]',
                    hostDirectives: [{ directive: RdxRovingFocusGroupDirective, inputs: ['dir', 'orientation', 'loop'] }],
                    providers: [provideRootContext()],
                    host: {
                        role: 'toolbar',
                        '[attr.aria-orientation]': 'orientation()'
                    }
                }]
        }] });

class RdxToolbarSeparatorDirective {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxToolbarSeparatorDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.4", type: RdxToolbarSeparatorDirective, isStandalone: true, selector: "[rdxToolbarSeparator]", hostDirectives: [{ directive: i1$1.RdxSeparatorRootDirective, inputs: ["orientation", "orientation", "decorative", "decorative"] }], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxToolbarSeparatorDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[rdxToolbarSeparator]',
                    hostDirectives: [{ directive: RdxSeparatorRootDirective, inputs: ['orientation', 'decorative'] }]
                }]
        }] });

// TODO: set rovingFocus - false
class RdxToolbarToggleGroupDirective {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxToolbarToggleGroupDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.4", type: RdxToolbarToggleGroupDirective, isStandalone: true, selector: "[rdxToolbarToggleGroup]", hostDirectives: [{ directive: i1$2.RdxToggleGroupWithoutFocusDirective, inputs: ["value", "value", "type", "type", "disabled", "disabled"] }], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxToolbarToggleGroupDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[rdxToolbarToggleGroup]',
                    hostDirectives: [{ directive: RdxToggleGroupWithoutFocusDirective, inputs: ['value', 'type', 'disabled'] }]
                }]
        }] });

class RdxToolbarToggleItemDirective {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxToolbarToggleItemDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.4", type: RdxToolbarToggleItemDirective, isStandalone: true, selector: "[rdxToolbarToggleItem]", hostDirectives: [{ directive: i1$2.RdxToggleGroupItemDirective, inputs: ["value", "value", "disabled", "disabled"] }], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxToolbarToggleItemDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[rdxToolbarToggleItem]',
                    hostDirectives: [{ directive: RdxToggleGroupItemDirective, inputs: ['value', 'disabled'] }]
                }]
        }] });

const _imports = [
    RdxToolbarRootDirective,
    RdxToolbarButtonDirective,
    RdxToolbarLinkDirective,
    RdxToolbarToggleGroupDirective,
    RdxToolbarToggleItemDirective,
    RdxToolbarSeparatorDirective
];
class RdxToolbarModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxToolbarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.2.4", ngImport: i0, type: RdxToolbarModule, imports: [RdxToolbarRootDirective,
            RdxToolbarButtonDirective,
            RdxToolbarLinkDirective,
            RdxToolbarToggleGroupDirective,
            RdxToolbarToggleItemDirective,
            RdxToolbarSeparatorDirective], exports: [RdxToolbarRootDirective,
            RdxToolbarButtonDirective,
            RdxToolbarLinkDirective,
            RdxToolbarToggleGroupDirective,
            RdxToolbarToggleItemDirective,
            RdxToolbarSeparatorDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxToolbarModule }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.4", ngImport: i0, type: RdxToolbarModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [..._imports],
                    exports: [..._imports]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { RDX_TOOLBAR_ROOT_TOKEN, RdxToolbarButtonDirective, RdxToolbarLinkDirective, RdxToolbarModule, RdxToolbarRootDirective, RdxToolbarSeparatorDirective, RdxToolbarToggleGroupDirective, RdxToolbarToggleItemDirective, injectRootContext, provideRootContext };
//# sourceMappingURL=radix-ng-primitives-toolbar.mjs.map
