import { BooleanInput, NumberInput } from '@angular/cdk/coercion';
import { OnInit } from '@angular/core';
import { RdxPositionAlign, RdxPositionSide } from '@radix-ng/primitives/core';
import * as i0 from "@angular/core";
import * as i1 from "@angular/cdk/overlay";
/**
 * @group Components
 */
export declare class RdxHoverCardContentDirective implements OnInit {
    /** @ignore */
    private readonly rootDirective;
    /** @ignore */
    private readonly templateRef;
    /** @ignore */
    private readonly overlay;
    /** @ignore */
    private readonly destroyRef;
    /** @ignore */
    private readonly connectedOverlay;
    /** @ignore */
    readonly name: import("@angular/core").Signal<string>;
    /**
     * The preferred side of the trigger to render against when open. Will be reversed when collisions occur and avoidCollisions is enabled.
     * @group Props
     * @defaultValue top
     */
    readonly side: import("@angular/core").InputSignal<RdxPositionSide>;
    /**
     * The distance in pixels from the trigger.
     * @group Props
     * @defaultValue undefined
     */
    readonly sideOffset: import("@angular/core").InputSignalWithTransform<number, NumberInput>;
    /**
     * The preferred alignment against the trigger. May change when collisions occur.
     * @group Props
     * @defaultValue center
     */
    readonly align: import("@angular/core").InputSignal<RdxPositionAlign>;
    /**
     * An offset in pixels from the "start" or "end" alignment options.
     * @group Props
     * @defaultValue undefined
     */
    readonly alignOffset: import("@angular/core").InputSignalWithTransform<number, NumberInput>;
    /**
     * Whether to add some alternate positions of the content.
     * @group Props
     * @defaultValue false
     */
    readonly alternatePositionsDisabled: import("@angular/core").InputSignalWithTransform<boolean, BooleanInput>;
    /**
     * Whether to prevent `onOverlayEscapeKeyDown` handler from calling.
     * @group Props
     * @defaultValue false
     */
    readonly onOverlayEscapeKeyDownDisabled: import("@angular/core").InputSignalWithTransform<boolean, BooleanInput>;
    /**
     * Whether to prevent `onOverlayOutsideClick` handler from calling.
     * @group Props
     * @defaultValue false
     */
    readonly onOverlayOutsideClickDisabled: import("@angular/core").InputSignalWithTransform<boolean, BooleanInput>;
    /**
     * Event handler called when the escape key is down.
     * It can be prevented by setting `onOverlayEscapeKeyDownDisabled` input to `true`.
     * @group Emits
     */
    readonly onOverlayEscapeKeyDown: import("@angular/core").OutputEmitterRef<KeyboardEvent>;
    /**
     * Event handler called when a pointer event occurs outside the bounds of the component.
     * It can be prevented by setting `onOverlayOutsideClickDisabled` input to `true`.
     * @group Emits
     */
    readonly onOverlayOutsideClick: import("@angular/core").OutputEmitterRef<MouseEvent>;
    /**
     * Event handler called after the overlay is open
     * @group Emits
     */
    readonly onOpen: import("@angular/core").OutputEmitterRef<void>;
    /**
     * Event handler called after the overlay is closed
     * @group Emits
     */
    readonly onClosed: import("@angular/core").OutputEmitterRef<void>;
    /** @ingore */
    readonly positions: import("@angular/core").Signal<import("@angular/cdk/overlay-module.d-2b07cfa6").C[]>;
    constructor();
    /** @ignore */
    ngOnInit(): void;
    /** @ignore */
    open(): void;
    /** @ignore */
    close(): void;
    /** @ignore */
    positionChange(): import("rxjs").Observable<import("@angular/cdk/overlay-module.d-2b07cfa6").n>;
    /** @ignore */
    private connectKeydownEscape;
    /** @ignore */
    private connectOutsideClick;
    /** @ignore */
    private onAttach;
    /** @ignore */
    private onDetach;
    /** @ignore */
    private setScrollStrategy;
    /** @ignore */
    private setHasBackdrop;
    /** @ignore */
    private setDisableClose;
    /** @ignore */
    private setOrigin;
    /** @ignore */
    private setPositions;
    /** @ignore */
    private computePositions;
    private onOriginChangeEffect;
    /** @ignore */
    private onPositionChangeEffect;
    /** @ignore */
    private fireOverlayNgOnChanges;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxHoverCardContentDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RdxHoverCardContentDirective, "[rdxHoverCardContent]", never, { "side": { "alias": "side"; "required": false; "isSignal": true; }; "sideOffset": { "alias": "sideOffset"; "required": false; "isSignal": true; }; "align": { "alias": "align"; "required": false; "isSignal": true; }; "alignOffset": { "alias": "alignOffset"; "required": false; "isSignal": true; }; "alternatePositionsDisabled": { "alias": "alternatePositionsDisabled"; "required": false; "isSignal": true; }; "onOverlayEscapeKeyDownDisabled": { "alias": "onOverlayEscapeKeyDownDisabled"; "required": false; "isSignal": true; }; "onOverlayOutsideClickDisabled": { "alias": "onOverlayOutsideClickDisabled"; "required": false; "isSignal": true; }; }, { "onOverlayEscapeKeyDown": "onOverlayEscapeKeyDown"; "onOverlayOutsideClick": "onOverlayOutsideClick"; "onOpen": "onOpen"; "onClosed": "onClosed"; }, never, never, true, [{ directive: typeof i1.CdkConnectedOverlay; inputs: {}; outputs: {}; }]>;
}
