import { BooleanInput, NumberInput } from '@angular/cdk/coercion';
import { CdkMenuTrigger } from '@angular/cdk/menu';
import * as i0 from "@angular/core";
import * as i1 from "@angular/cdk/menu";
export type RdxMenuAlign = 'start' | 'center' | 'end';
export type RdxMenuSide = 'top' | 'right' | 'bottom' | 'left';
export declare class RdxMenuTriggerDirective {
    protected readonly cdkTrigger: CdkMenuTrigger;
    readonly menuTriggerFor: import("@angular/core").InputSignal<unknown>;
    /**
     * @description The preferred side of the trigger to render against when open. Will be reversed when collisions occur and avoidCollisions is enabled.
     */
    readonly side: import("@angular/core").InputSignal<RdxMenuSide | undefined>;
    readonly align: import("@angular/core").InputSignal<RdxMenuAlign | undefined>;
    /**
     * @description The distance in pixels from the trigger.
     */
    readonly sideOffset: import("@angular/core").InputSignalWithTransform<number, NumberInput>;
    /**
     * @description An offset in pixels from the "start" or "end" alignment options.
     */
    readonly alignOffset: import("@angular/core").InputSignalWithTransform<number, NumberInput>;
    readonly disabled: import("@angular/core").InputSignalWithTransform<boolean, BooleanInput>;
    private enablePositions;
    private readonly positions;
    private computePositions;
    constructor();
    /** @ignore */
    onPointerDown($event: MouseEvent): void;
    private onMenuPositionEffect;
    private setMenuPositions;
    private fireNgOnChanges;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxMenuTriggerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RdxMenuTriggerDirective, "[RdxMenuTrigger]", never, { "menuTriggerFor": { "alias": "menuTriggerFor"; "required": true; "isSignal": true; }; "side": { "alias": "side"; "required": false; "isSignal": true; }; "align": { "alias": "align"; "required": false; "isSignal": true; }; "sideOffset": { "alias": "sideOffset"; "required": false; "isSignal": true; }; "alignOffset": { "alias": "alignOffset"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.CdkMenuTrigger; inputs: { "cdkMenuTriggerFor": "menuTriggerFor"; "cdkMenuPosition": "menuPosition"; }; outputs: {}; }]>;
}
