import { FocusableOption } from '@angular/cdk/a11y';
import { ElementRef, Signal } from '@angular/core';
import { RdxNavigationMenuFocusableOption } from './navigation-menu.types';
import * as i0 from "@angular/core";
export declare class RdxNavigationMenuItemDirective implements FocusableOption {
    readonly elementRef: ElementRef<any>;
    private readonly context;
    readonly value: import("@angular/core").InputSignal<string>;
    /**
     * @ignore
     */
    readonly triggerOrLink: Signal<RdxNavigationMenuFocusableOption | undefined>;
    readonly triggerRef: import("@angular/core").WritableSignal<HTMLElement | null>;
    readonly contentRef: import("@angular/core").WritableSignal<HTMLElement | null>;
    readonly focusProxyRef: import("@angular/core").WritableSignal<HTMLElement | null>;
    readonly wasEscapeCloseRef: import("@angular/core").WritableSignal<boolean>;
    private readonly _restoreContentTabOrderRef;
    get restoreContentTabOrderRef(): Signal<(() => void) | null>;
    /**
     * Handle keyboard entry into content from trigger
     */
    onEntryKeyDown(): void;
    focus(): void;
    /**
     * Ensure elements are in the tab order by restoring any previously removed tabindex values
     */
    private ensureTabOrder;
    /**
     * Handle focus coming from the focus proxy element
     * @param side Which side the focus is coming from (start = from trigger, end = from after content)
     */
    onFocusProxyEnter(side?: 'start' | 'end'): void;
    /**
     * Handle focus moving outside of the content
     * Remove elements from tab order when not focused
     */
    onContentFocusOutside(): void;
    /**
     * Handle content being closed from root menu
     */
    onRootContentClose(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxNavigationMenuItemDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RdxNavigationMenuItemDirective, "[rdxNavigationMenuItem]", ["rdxNavigationMenuItem"], { "value": { "alias": "value"; "required": false; "isSignal": true; }; }, {}, ["triggerOrLink"], never, true, never>;
}
