import { OnDestroy, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class RdxNavigationMenuViewportDirective implements OnInit, OnDestroy {
    private readonly context;
    private readonly document;
    private readonly window;
    private readonly elementRef;
    private readonly viewContainerRef;
    private readonly renderer;
    private readonly zone;
    private readonly destroyRef;
    /**
     * Used to keep the viewport rendered and available in the DOM, even when closed.
     * Useful for animations.
     * @default false
     */
    readonly forceMount: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    private readonly _contentNodes;
    private readonly _activeContentNode;
    private readonly _leavingContentNode;
    private readonly _viewportSize;
    readonly activeContentValue: import("@angular/core").Signal<string | null>;
    readonly isOpen: import("@angular/core").Signal<boolean>;
    readonly dataState: import("@angular/core").Signal<"open" | "closed">;
    readonly viewportSize: import("@angular/core").Signal<{
        width: number;
        height: number;
    } | null>;
    private readonly _resizeObserver;
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    onKeydown(event: KeyboardEvent): void;
    onPointerEnter(): void;
    onPointerLeave(): void;
    private setupViewportEffect;
    private getOrCreateContentNode;
    private addNodeToDOM;
    private removeNodeFromDOM;
    private setNodeState;
    private applyA11yAttributes;
    private startLeaveTransition;
    /**
     * Cleanup function called after leave animation finishes
     * @param node The node that is leaving
     */
    private cleanupAfterLeave;
    /**
     * Cancels an ongoing leave transition (e.g., if user hovers back)
     * @param node The node that is leaving
     */
    private cancelLeaveTransition;
    /**
     * Force completes a leave transition (e.g., if another leave starts)
     * @param node The node that is leaving
     */
    private forceCompleteLeaveTransition;
    private updateSize;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxNavigationMenuViewportDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RdxNavigationMenuViewportDirective, "[rdxNavigationMenuViewport]", never, { "forceMount": { "alias": "forceMount"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
