import { OnDestroy, WritableSignal } from '@angular/core';
import { Subject } from 'rxjs';
import { RdxNavigationMenuAnimationStatus } from './navigation-menu.types';
import * as i0 from "@angular/core";
export declare enum RdxNavigationMenuAction {
    OPEN = "open",
    CLOSE = "close"
}
export declare class RdxNavigationMenuDirective implements OnDestroy {
    #private;
    private readonly elementRef;
    private readonly document;
    private readonly window;
    readonly baseId: string;
    userDismissedByClick: () => boolean;
    resetUserDismissed: () => void;
    private openTimerRef;
    private closeTimerRef;
    private skipDelayTimerRef;
    private recentlyActivatedTimerRef;
    private readonly recentlyActivatedItem;
    private documentMouseLeaveHandler;
    readonly actionSubject$: Subject<{
        action: RdxNavigationMenuAction;
        itemValue?: string;
    }>;
    orientation: 'horizontal' | 'vertical';
    dir: 'ltr' | 'rtl';
    clickIgnoreDuration: number;
    delayDuration: number;
    skipDelayDuration: number;
    loop: boolean;
    cssAnimation: boolean;
    cssOpeningAnimation: boolean;
    cssClosingAnimation: boolean;
    readonly isRootMenu = true;
    readonly cssAnimationStatus: WritableSignal<RdxNavigationMenuAnimationStatus | null>;
    value: () => string;
    previousValue: () => string;
    rootNavigationMenu: () => HTMLElement | null;
    indicatorTrack: () => HTMLElement | null;
    viewport: () => HTMLElement | null;
    viewportContent: () => Map<string, any>;
    setTriggerPointerState: (isOver: boolean) => void;
    setContentPointerState: (isOver: boolean) => void;
    isPointerInSystem: () => boolean;
    getCssAnimation: () => boolean;
    getCssOpeningAnimation: () => boolean;
    getCssClosingAnimation: () => boolean;
    constructor();
    ngOnDestroy(): void;
    onIndicatorTrackChange(track: HTMLElement | null): void;
    onViewportChange(viewport: HTMLElement | null): void;
    onTriggerEnter(itemValue: string): void;
    onTriggerLeave(): void;
    onContentEnter(): void;
    onContentLeave(): void;
    handleClose(): void;
    onItemSelect(itemValue: string): void;
    onItemDismiss(): void;
    onViewportContentChange(contentValue: string, contentData: any): void;
    onViewportContentRemove(contentValue: string): void;
    private setValue;
    private startCloseTimer;
    private handleOpen;
    private handleDelayedOpen;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxNavigationMenuDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RdxNavigationMenuDirective, "[rdxNavigationMenu]", ["rdxNavigationMenu"], { "orientation": { "alias": "orientation"; "required": false; }; "dir": { "alias": "dir"; "required": false; }; "clickIgnoreDuration": { "alias": "clickIgnoreDuration"; "required": false; }; "delayDuration": { "alias": "delayDuration"; "required": false; }; "skipDelayDuration": { "alias": "skipDelayDuration"; "required": false; }; "loop": { "alias": "loop"; "required": false; }; "cssAnimation": { "alias": "cssAnimation"; "required": false; }; "cssOpeningAnimation": { "alias": "cssOpeningAnimation"; "required": false; }; "cssClosingAnimation": { "alias": "cssClosingAnimation"; "required": false; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_clickIgnoreDuration: unknown;
    static ngAcceptInputType_delayDuration: unknown;
    static ngAcceptInputType_skipDelayDuration: unknown;
    static ngAcceptInputType_loop: unknown;
    static ngAcceptInputType_cssAnimation: unknown;
    static ngAcceptInputType_cssOpeningAnimation: unknown;
    static ngAcceptInputType_cssClosingAnimation: unknown;
}
