import { BooleanInput, NumberInput } from '@angular/cdk/coercion';
import { InjectionToken, InputSignal, InputSignalWithTransform, ModelSignal, Signal } from '@angular/core';
import { InputMode } from './types';
export interface NumberFieldContextToken {
    value: ModelSignal<number | undefined>;
    locale: InputSignal<string>;
    inputMode: Signal<InputMode>;
    textValue: Signal<any>;
    max: InputSignalWithTransform<number | undefined, NumberInput>;
    min: InputSignalWithTransform<number | undefined, NumberInput>;
    onInputElement: (el: HTMLInputElement) => void;
    disabled: InputSignalWithTransform<boolean, BooleanInput>;
    disableWheelChange: InputSignalWithTransform<boolean, BooleanInput>;
    handleIncrease: (multiplier?: number) => void;
    handleDecrease: (multiplier?: number) => void;
    applyInputValue: (val: string) => void;
    validate: (val: string) => boolean;
    setInputValue: (val: string) => void;
    isIncreaseDisabled: Signal<boolean>;
    isDecreaseDisabled: Signal<boolean>;
    handleMinMaxValue: (type: 'min' | 'max') => void;
}
export declare const NUMBER_FIELD_ROOT_CONTEXT: InjectionToken<NumberFieldContextToken>;
export declare function injectNumberFieldRootContext(): NumberFieldContextToken;
