import { BooleanInput, NumberInput } from '@angular/cdk/coercion';
import { OnInit } from '@angular/core';
import { NumberFieldContextToken } from './number-field-context.token';
import { InputMode } from './types';
import * as i0 from "@angular/core";
export declare class RdxNumberFieldRootDirective implements OnInit, NumberFieldContextToken {
    readonly value: import("@angular/core").ModelSignal<number | undefined>;
    readonly min: import("@angular/core").InputSignalWithTransform<number | undefined, NumberInput>;
    readonly max: import("@angular/core").InputSignalWithTransform<number | undefined, NumberInput>;
    readonly step: import("@angular/core").InputSignalWithTransform<number, NumberInput>;
    readonly stepSnapping: import("@angular/core").InputSignalWithTransform<boolean, BooleanInput>;
    readonly disableWheelChange: import("@angular/core").InputSignalWithTransform<boolean, BooleanInput>;
    readonly locale: import("@angular/core").InputSignal<string>;
    readonly disabled: import("@angular/core").InputSignalWithTransform<boolean, BooleanInput>;
    readonly formatOptions: import("@angular/core").InputSignal<Intl.NumberFormatOptions | undefined>;
    /**
     * @ignore
     */
    readonly inputEl: import("@angular/core").WritableSignal<HTMLInputElement | undefined>;
    /**
     * @ignore
     */
    readonly isDecreaseDisabled: import("@angular/core").Signal<boolean>;
    /**
     * @ignore
     */
    readonly isIncreaseDisabled: import("@angular/core").Signal<boolean>;
    /**
     * @ignore
     */
    readonly inputMode: import("@angular/core").Signal<InputMode>;
    /**
     * Replace negative textValue formatted using currencySign: 'accounting'
     * with a textValue that can be announced using a minus sign.
     * @ignore
     */
    readonly textValue: import("@angular/core").Signal<any>;
    /**
     * @ignore
     */
    readonly onInputElement: (el: HTMLInputElement) => void;
    /**
     * @ignore
     */
    numberParser: any;
    /**
     * @ignore
     */
    numberFormatter: any;
    /**
     * @ignore
     */
    textValueFormatter: any;
    /**
     * @ignore
     */
    clampInputValue(val: number): number;
    ngOnInit(): void;
    /**
     * @ignore
     */
    handleMinMaxValue(type: 'min' | 'max'): void;
    /**
     * @ignore
     */
    handleDecrease(multiplier?: number): void;
    /**
     * @ignore
     */
    handleIncrease(multiplier?: number): void;
    /**
     * @ignore
     */
    applyInputValue(val: string): void;
    /**
     * @ignore
     */
    setInputValue(val: string): void;
    /**
     * @ignore
     */
    validate(val: string): any;
    private handleChangingValue;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxNumberFieldRootDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RdxNumberFieldRootDirective, "[rdxNumberFieldRoot]", ["rdxNumberFieldRoot"], { "value": { "alias": "value"; "required": false; "isSignal": true; }; "min": { "alias": "min"; "required": false; "isSignal": true; }; "max": { "alias": "max"; "required": false; "isSignal": true; }; "step": { "alias": "step"; "required": false; "isSignal": true; }; "stepSnapping": { "alias": "stepSnapping"; "required": false; "isSignal": true; }; "disableWheelChange": { "alias": "disableWheelChange"; "required": false; "isSignal": true; }; "locale": { "alias": "locale"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; "formatOptions": { "alias": "formatOptions"; "required": false; "isSignal": true; }; }, { "value": "valueChange"; }, never, never, true, never>;
}
