import { InjectionToken, Provider, Signal } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Context interface for RdxPresence directive
 * Contains a Signal that indicates whether the content should be present in the DOM
 */
export type RdxPresenceContext = {
    present: Signal<boolean>;
};
export declare const RDX_PRESENCE_CONTEXT: InjectionToken<RdxPresenceContext>;
/**
 * Factory provider helper.
 * In your parent component/directive you can write:
 *
 *   providers: [
 *     provideRdxPresenceContext(() => ({ present: myBooleanSignal }))
 *   ]
 */
export declare function provideRdxPresenceContext(contextFactory: () => RdxPresenceContext): Provider;
export declare class RdxPresenceDirective {
    private readonly context;
    private readonly viewContainerRef;
    private readonly templateRef;
    private effectRef;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxPresenceDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RdxPresenceDirective, never, never, {}, {}, never, never, true, never>;
}
