import { BooleanInput } from '@angular/cdk/coercion';
import { ControlValueAccessor } from '@angular/forms';
import { Orientation } from '@radix-ng/primitives/roving-focus';
import { RadioGroupDirective, RadioGroupProps } from './radio-tokens';
import * as i0 from "@angular/core";
import * as i1 from "@radix-ng/primitives/roving-focus";
export declare class RdxRadioGroupDirective implements RadioGroupProps, RadioGroupDirective, ControlValueAccessor {
    readonly value: import("@angular/core").ModelSignal<string | null>;
    readonly disabled: import("@angular/core").InputSignalWithTransform<boolean, BooleanInput>;
    defaultValue?: string;
    readonly required: import("@angular/core").InputSignalWithTransform<boolean, BooleanInput>;
    readonly orientation: import("@angular/core").InputSignal<Orientation | undefined>;
    /**
     * Event handler called when the value changes.
     */
    readonly onValueChange: import("@angular/core").OutputEmitterRef<string>;
    private readonly disable;
    readonly disableState: import("@angular/core").Signal<boolean>;
    /**
     * The callback function to call when the value of the radio group changes.
     */
    private onChange;
    /**
     * The callback function to call when the radio group is touched.
     * @ignore
     */
    onTouched: () => void;
    /**
     * Select a radio item.
     * @param value The value of the radio item to select.
     * @ignore
     */
    select(value: string): void;
    /**
     * Update the value of the radio group.
     * @param value The new value of the radio group.
     * @ignore
     */
    writeValue(value: string): void;
    /**
     * Register a callback function to call when the value of the radio group changes.
     * @param fn The callback function to call when the value of the radio group changes.
     * @ignore
     */
    registerOnChange(fn: (value: string) => void): void;
    /** @ignore */
    registerOnTouched(fn: () => void): void;
    /**
     * Set the disabled state of the radio group.
     * @param isDisabled Whether the radio group is disabled.
     * @ignore
     */
    setDisabledState(isDisabled: boolean): void;
    protected onKeydown(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxRadioGroupDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RdxRadioGroupDirective, "[rdxRadioRoot]", ["rdxRadioRoot"], { "value": { "alias": "value"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; "defaultValue": { "alias": "defaultValue"; "required": false; }; "required": { "alias": "required"; "required": false; "isSignal": true; }; "orientation": { "alias": "orientation"; "required": false; "isSignal": true; }; }, { "value": "valueChange"; "onValueChange": "onValueChange"; }, never, never, true, [{ directive: typeof i1.RdxRovingFocusGroupDirective; inputs: { "dir": "dir"; "orientation": "orientation"; "loop": "loop"; }; outputs: {}; }]>;
}
