import { Highlightable } from '@angular/cdk/a11y';
import { EventEmitter } from '@angular/core';
import { RdxSelectContentDirective } from './select-content.directive';
import { RdxSelectComponent } from './select.component';
import * as i0 from "@angular/core";
export declare class RdxSelectItemChange<T = RdxSelectItemDirective> {
    source: T;
    constructor(source: T);
}
export declare class RdxSelectItemDirective implements Highlightable {
    protected readonly select: RdxSelectComponent;
    protected readonly content: RdxSelectContentDirective;
    readonly onSelectionChange: EventEmitter<RdxSelectItemChange<RdxSelectItemDirective>>;
    protected readonly nativeElement: any;
    highlighted: boolean;
    selected: boolean;
    get dataState(): string;
    /**
     * The unique SelectItem id.
     * @ignore
     */
    readonly id: string;
    set value(value: string);
    get value(): string;
    private _value?;
    textValue: string | null;
    /** Whether the SelectItem is disabled. */
    set disabled(value: boolean);
    get disabled(): boolean;
    private _disabled;
    get viewValue(): string;
    constructor();
    /** Gets the label to be used when determining whether the option should be focused.
     * @ignore
     */
    getLabel(): string;
    /**
     * `Selects the option while indicating the selection came from the user. Used to
     * determine if the select's view -> model callback should be invoked.`
     * @ignore
     */
    selectViaInteraction(): void;
    /** @ignore */
    handleKeydown(event: KeyboardEvent): void;
    /** @ignore */
    setActiveStyles(): void;
    /** @ignore */
    setInactiveStyles(): void;
    protected onPointerMove(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxSelectItemDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RdxSelectItemDirective, "[rdxSelectItem]", ["rdxSelectItem"], { "value": { "alias": "value"; "required": false; }; "textValue": { "alias": "textValue"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_disabled: unknown;
}
