import { BooleanInput, NumberInput } from '@angular/cdk/coercion';
import { OnInit } from '@angular/core';
import { RdxSliderOrientationContextService } from './slider-orientation-context.service';
import * as i0 from "@angular/core";
/**
 * @group Components
 */
export declare class RdxSliderRootComponent implements OnInit {
    /** @ignore */
    readonly orientationContext: RdxSliderOrientationContextService;
    /**
     * The minimum value for the range.
     *
     * @group Props
     * @defaultValue 0
     */
    readonly min: import("@angular/core").InputSignalWithTransform<number, NumberInput>;
    /**
     * The maximum value for the range.
     *
     * @group Props
     * @defaultValue 100
     */
    readonly max: import("@angular/core").InputSignalWithTransform<number, NumberInput>;
    /**
     * The stepping interval.
     *
     * @group Props
     * @defaultValue 1
     */
    readonly step: import("@angular/core").InputSignalWithTransform<number, NumberInput>;
    /**
     * The minimum permitted steps between multiple thumbs.
     *
     * @group Props
     * @defaultValue 0
     */
    readonly minStepsBetweenThumbs: import("@angular/core").InputSignalWithTransform<number, NumberInput>;
    /**
     * The orientation of the slider.
     *
     * @group Props
     * @defaultValue 'horizontal'
     */
    readonly orientation: import("@angular/core").InputSignal<"horizontal" | "vertical">;
    /**
     * When true, prevents the user from interacting with the slider.
     *
     * @group Props
     * @defaultValue false
     */
    readonly disabled: import("@angular/core").InputSignalWithTransform<boolean, BooleanInput>;
    /**
     * Whether the slider is visually inverted.
     *
     * @group Props
     * @defaultValue false
     */
    readonly inverted: import("@angular/core").InputSignalWithTransform<boolean, BooleanInput>;
    /**
     * The reading direction of the combobox when applicable.
     *
     * @group Props
     * @defaultValue 'ltr'
     */
    readonly dir: import("@angular/core").InputSignal<"ltr" | "rtl">;
    className: string;
    /**
     * Style class of the component.
     *
     * @group Props
     */
    readonly styleClass: import("@angular/core").InputSignal<string | undefined>;
    /**
     * The controlled value of the slider.
     *
     * @group Props
     */
    readonly modelValue: import("@angular/core").ModelSignal<number[]>;
    /**
     * Event handler called when the slider value changes.
     *
     * @group Emits
     */
    readonly valueChange: import("@angular/core").OutputEmitterRef<number[]>;
    /**
     * Event handler called when the value changes at the end of an interaction.
     *
     * Useful when you only need to capture a final value e.g. to update a backend service.
     *
     * @group Emits
     */
    readonly valueCommit: import("@angular/core").OutputEmitterRef<number[]>;
    /** @ignore */
    readonly valueIndexToChange: import("@angular/core").ModelSignal<number>;
    /** @ignore */
    readonly valuesBeforeSlideStart: import("@angular/core").ModelSignal<number[]>;
    /** @ignore */
    readonly isSlidingFromLeft: import("@angular/core").Signal<boolean>;
    /** @ignore */
    readonly isSlidingFromBottom: import("@angular/core").Signal<boolean>;
    /** @ignore */
    thumbElements: HTMLElement[];
    /** @ignore */
    ngOnInit(): void;
    /** @ignore */
    onPointerDown(): void;
    /** @ignore */
    handleSlideStart(value: number): void;
    /** @ignore */
    handleSlideMove(value: number): void;
    /** @ignore */
    handleSlideEnd(): void;
    /** @ignore */
    handleStepKeyDown(event: {
        event: KeyboardEvent;
        direction: number;
    }): void;
    /** @ignore */
    updateValues(value: number, atIndex: number, commit?: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxSliderRootComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RdxSliderRootComponent, "rdx-slider", never, { "min": { "alias": "min"; "required": false; "isSignal": true; }; "max": { "alias": "max"; "required": false; "isSignal": true; }; "step": { "alias": "step"; "required": false; "isSignal": true; }; "minStepsBetweenThumbs": { "alias": "minStepsBetweenThumbs"; "required": false; "isSignal": true; }; "orientation": { "alias": "orientation"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; "inverted": { "alias": "inverted"; "required": false; "isSignal": true; }; "dir": { "alias": "dir"; "required": false; "isSignal": true; }; "className": { "alias": "className"; "required": false; }; "styleClass": { "alias": "styleClass"; "required": false; "isSignal": true; }; "modelValue": { "alias": "modelValue"; "required": false; "isSignal": true; }; "valueIndexToChange": { "alias": "valueIndexToChange"; "required": false; "isSignal": true; }; "valuesBeforeSlideStart": { "alias": "valuesBeforeSlideStart"; "required": false; "isSignal": true; }; }, { "modelValue": "modelValueChange"; "valueChange": "valueChange"; "valueCommit": "valueCommit"; "valueIndexToChange": "valueIndexToChangeChange"; "valuesBeforeSlideStart": "valuesBeforeSlideStartChange"; }, never, ["*"], true, never>;
}
