export declare function linearScale(input: readonly [number, number], output: readonly [number, number]): (value: number) => number;
/**
 * Verifies the minimum steps between all values is greater than or equal
 * to the expected minimum steps.
 *
 * @example
 * // returns false
 * hasMinStepsBetweenValues([1,2,3], 2);
 *
 * @example
 * // returns true
 * hasMinStepsBetweenValues([1,2,3], 1);
 */
export declare function hasMinStepsBetweenValues(values: number[], minStepsBetweenValues: number): boolean;
/**
 * Given a `values` array and a `nextValue`, determine which value in
 * the array is closest to `nextValue` and return its index.
 *
 * @example
 * // returns 1
 * getClosestValueIndex([10, 30], 25);
 */
export declare function getClosestValueIndex(values: number[], nextValue: number): number;
/**
 * Gets an array of steps between each value.
 *
 * @example
 * // returns [1, 9]
 * getStepsBetweenValues([10, 11, 20]);
 */
export declare function getStepsBetweenValues(values: number[]): number[];
/**
 * Offsets the thumb centre point while sliding to ensure it remains
 * within the bounds of the slider when reaching the edges
 */
export declare function getThumbInBoundsOffset(width: number, left: number, direction: number): number;
export declare function convertValueToPercentage(value: number, min: number, max: number): number;
export declare function getDecimalCount(value: number): number;
export declare function roundValue(value: number, decimalCount: number): number;
export declare function getNextSortedValues(prevValues: number[] | undefined, nextValue: number, atIndex: number): number[];
export declare const PAGE_KEYS: string[];
export declare const ARROW_KEYS: string[];
type SlideDirection = 'from-left' | 'from-right' | 'from-bottom' | 'from-top';
export declare const BACK_KEYS: Record<SlideDirection, string[]>;
export interface OrientationContext {
    direction: number;
    size: 'width' | 'height';
    startEdge: 'left' | 'top';
    endEdge: 'right' | 'bottom';
}
export declare function clamp(value: number, min?: number, max?: number): number;
export {};
