import { Direction } from '@angular/cdk/bidi';
import { BooleanInput } from '@angular/cdk/coercion';
import { InjectionToken, InputSignal, InputSignalWithTransform, ModelSignal, WritableSignal } from '@angular/core';
export interface StepperRootContext {
    value: ModelSignal<number | undefined>;
    orientation: InputSignal<'vertical' | 'horizontal'>;
    dir: InputSignal<Direction>;
    linear: InputSignalWithTransform<boolean, BooleanInput>;
    totalStepperItems: WritableSignal<HTMLElement[]>;
}
export declare const STEPPER_ROOT_CONTEXT: InjectionToken<StepperRootContext>;
export declare function injectStepperRootContext(): StepperRootContext;
