import { BooleanInput } from '@angular/cdk/coercion';
import { InputSignalWithTransform } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "@radix-ng/primitives/roving-focus";
interface TabsTriggerProps {
    disabled: InputSignalWithTransform<boolean, BooleanInput>;
}
export declare class RdxTabsTriggerDirective implements TabsTriggerProps {
    private readonly rdxRovingFocusItemDirective;
    protected readonly tabsContext: import("./tabs-root.directive").RdxTabsRootDirective;
    /**
     * A unique value that associates the trigger with a content.
     */
    readonly value: import("@angular/core").InputSignal<string>;
    /**
     * When true, prevents the user from interacting with the tab.
     */
    readonly disabled: InputSignalWithTransform<boolean, BooleanInput>;
    protected readonly contentId: import("@angular/core").Signal<string>;
    protected readonly triggerId: import("@angular/core").Signal<string>;
    protected readonly isSelected: import("@angular/core").Signal<boolean>;
    constructor();
    protected onMouseDown(event: MouseEvent): void;
    protected onKeyDown(event: KeyboardEvent): void;
    protected onFocus(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxTabsTriggerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RdxTabsTriggerDirective, "[rdxTabsTrigger]", never, { "value": { "alias": "value"; "required": true; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.RdxRovingFocusItemDirective; inputs: { "focusable": "focusable"; "active": "active"; "allowShiftKey": "allowShiftKey"; }; outputs: {}; }]>;
}
export {};
