import { BooleanInput } from '@angular/cdk/coercion';
import * as i0 from "@angular/core";
import * as i1 from "@radix-ng/primitives/roving-focus";
import * as i2 from "@radix-ng/primitives/toggle";
/**
 * @group Components
 */
export declare class RdxToggleGroupItemDirective {
    private readonly rdxToggleDirective;
    private readonly rdxRovingFocusItemDirective;
    /**
     * Access the toggle group.
     * @ignore
     */
    protected readonly rootContext: import("./toggle-group.token").IRdxToggleGroup;
    /**
     * The value of this toggle button.
     *
     * @group Props
     */
    readonly value: import("@angular/core").InputSignal<string>;
    /**
     * Whether this toggle button is disabled.
     * @defaultValue false
     * @group Props
     */
    readonly disabled: import("@angular/core").InputSignalWithTransform<boolean, BooleanInput>;
    private readonly isPressed;
    private readonly isDisabled;
    constructor();
    /**
     * @ignore
     */
    toggle(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxToggleGroupItemDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RdxToggleGroupItemDirective, "[rdxToggleGroupItem]", ["rdxToggleGroupItem"], { "value": { "alias": "value"; "required": true; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.RdxRovingFocusItemDirective; inputs: { "focusable": "focusable"; "active": "active"; "allowShiftKey": "allowShiftKey"; }; outputs: {}; }, { directive: typeof i2.RdxToggleDirective; inputs: { "pressed": "pressed"; "disabled": "disabled"; }; outputs: {}; }]>;
}
