import { BooleanInput } from '@angular/cdk/coercion';
import { ControlValueAccessor } from '@angular/forms';
import { AcceptableValue } from '@radix-ng/primitives/core';
import * as i0 from "@angular/core";
import * as i1 from "@radix-ng/primitives/roving-focus";
/**
 * @group Components
 */
export declare class RdxToggleGroupDirective implements ControlValueAccessor {
    /**
     * @ignore
     */
    readonly id: string;
    /**
     * @group Props
     */
    readonly value: import("@angular/core").ModelSignal<AcceptableValue | AcceptableValue[] | undefined>;
    /**
     * @group Props
     */
    readonly type: import("@angular/core").InputSignal<"single" | "multiple">;
    /**
     * Whether the toggle group is disabled.
     * @defaultValue false
     * @group Props
     */
    readonly disabled: import("@angular/core").InputSignalWithTransform<boolean, BooleanInput>;
    /**
     * Event emitted when the selected toggle button changes.
     * @group Emits
     */
    readonly onValueChange: import("@angular/core").OutputEmitterRef<AcceptableValue | AcceptableValue[] | undefined>;
    /**
     * The value change callback.
     */
    private onChange?;
    /**
     * onTouch function registered via registerOnTouch (ControlValueAccessor).
     */
    protected onTouched?: () => void;
    /**
     * Toggle a value.
     * @param value The value to toggle.
     * @ignore
     */
    toggle(value: AcceptableValue): void;
    /**
     * Select a value from Angular forms.
     * @param value The value to select.
     * @ignore
     */
    writeValue(value: string): void;
    /**
     * Register a callback to be called when the value changes.
     * @param fn The callback to register.
     * @ignore
     */
    registerOnChange(fn: (value: AcceptableValue | AcceptableValue[] | undefined) => void): void;
    /**
     * Register a callback to be called when the toggle group is touched.
     * @param fn The callback to register.
     * @ignore
     */
    registerOnTouched(fn: () => void): void;
    readonly accessorDisabled: import("@angular/core").WritableSignal<boolean>;
    /**
     * Set the disabled state of the toggle group.
     * @param isDisabled Whether the toggle group is disabled.
     * @ignore
     */
    setDisabledState(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxToggleGroupDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RdxToggleGroupDirective, "[rdxToggleGroup]", ["rdxToggleGroup"], { "value": { "alias": "value"; "required": false; "isSignal": true; }; "type": { "alias": "type"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; }, { "value": "valueChange"; "onValueChange": "onValueChange"; }, never, never, true, [{ directive: typeof i1.RdxRovingFocusGroupDirective; inputs: { "dir": "dir"; "orientation": "orientation"; "loop": "loop"; }; outputs: {}; }]>;
}
