import { DestroyRef, EnvironmentProviders, NgZone, Provider, Renderer2 } from '@angular/core';
import { EventType, PrimitiveConfig, PrimitiveConfigs } from './types';
import * as i0 from "@angular/core";
declare class RdxCdkEventService {
    #private;
    document: Document;
    destroyRef: DestroyRef;
    ngZone: NgZone;
    renderer2: Renderer2;
    window: Window & typeof globalThis;
    primitiveConfigs?: PrimitiveConfigs;
    onDestroyCallbacks: Set<() => void>;
    constructor();
    registerPrimitive<T extends object>(primitiveInstance: T): void;
    deregisterPrimitive<T extends object>(primitiveInstance: T): void;
    preventPrimitiveFromCdkEvent<T extends object>(primitiveInstance: T, eventType: EventType): void;
    allowPrimitiveForCdkEvent<T extends object>(primitiveInstance: T, eventType: EventType): void;
    preventPrimitiveFromCdkMultiEvents<T extends object>(primitiveInstance: T, eventTypes: EventType[]): void;
    allowPrimitiveForCdkMultiEvents<T extends object>(primitiveInstance: T, eventTypes: EventType[]): void;
    setPreventPrimitiveFromCdkMixEvents<T extends object>(primitiveInstance: T, eventTypes: PrimitiveConfig): void;
    primitivePreventedFromCdkEvent<T extends object>(primitiveInstance: T, eventType: EventType): boolean | undefined;
    addClickDomRootEventCallback(callback: (event: MouseEvent) => void): void;
    removeClickDomRootEventCallback(callback: (event: MouseEvent) => void): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<RdxCdkEventService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RdxCdkEventService>;
}
export declare const provideRdxCdkEventServiceInRoot: () => EnvironmentProviders;
export declare const provideRdxCdkEventService: () => Provider;
export declare const injectRdxCdkEventService: () => RdxCdkEventService | null;
export {};
